window.Gleam.initSearch([{"doc":"gleam_cors","title":"gleam_cors","content":"# gleam_cors\n\n[![Package Version](https://img.shields.io/hexpm/v/gleam_cors)](https://hex.pm/packages/gleam_cors)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleam_cors/)\n\nUnofficial CORS middleware for the [`gleam_http`](https://hexdocs.pm/gleam_http/index.html) library.\n\n## Installation\n\n```sh\ngleam add gleam_cors\n```\n\n## Usage\n\nUse the `middleware` function to set up CORS for your application. This middleware should be\nplaced early in your middleware stack (late in the pipeline).\n\n```diff\n+import gleam/http/cors\n+import gleam/http\n import myproject/web/middleware\n\n pub fn stack() {\n   service\n   |&gt; middleware.rescue\n   |&gt; middleware.log\n+  |&gt; cors.middleware(\n+    origins: [&quot;http://localhost:8000&quot;],\n+    methods: [http.Get, http.Post, http.Delete],\n+    headers: [&quot;Authorization&quot;, &quot;Content-Type&quot;],\n+  )\n }\n```\n\n## Changelog\n\nSee [CHANGELOG.md](CHANGELOG.md) in the project repository\n","url":"index.html"},{"doc":"gleam/http/cors","title":"middleware","content":"pub fn middleware(origins allowed_origins: List(String), methods allowed_methods: List(\n    Method,\n  ), headers allowed_headers: List(String)) -&gt; fn(\n  fn(Request(a)) -&gt; Response(BitBuilder),\n) -&gt; fn(Request(a)) -&gt; Response(BitBuilder)\n A middleware that adds CORS headers to responses based on the given configuration.\n\n ## Examples\n\n    service\n    |&gt; cors.middleware(\n      origins: [&quot;https://staging.example.com&quot;, &quot;http://localhost:8000&quot;],\n      methods: [Get, Post, Delete],\n      headers: [&quot;Authorization&quot;, &quot;Content-Type&quot;],\n    )\nSynonyms:\ngleam/http/cors.middleware\ngleam/http/cors middleware","url":"gleam/http/cors.html#middleware"},{"doc":"gleam/http/cors","title":"gleam/http/cors","content":"","url":"gleam/http/cors.html"}]);